Skip to main content
GET
/
org
/
{org}
/
gvc
/
{gvc}
/
volumeset
/
{name}
Get a volumeset by GVC and name
curl --request GET \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/volumeset/{name} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.cpln.io/org/{org}/gvc/{gvc}/volumeset/{name}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.cpln.io/org/{org}/gvc/{gvc}/volumeset/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "spec": {
    "initialCapacity": 123,
    "storageClassSuffix": "<string>",
    "fileSystemType": "ext4",
    "customEncryption": {
      "regions": {}
    },
    "snapshots": {
      "createFinalSnapshot": true,
      "retentionDuration": "<string>",
      "schedule": "<string>"
    },
    "autoscaling": {
      "maxCapacity": 123,
      "minFreePercentage": 123,
      "scalingFactor": 123,
      "predictive": {
        "enabled": true,
        "lookbackHours": 123,
        "projectionHours": 123,
        "minDataPoints": 123,
        "minGrowthRateGBPerHour": 123,
        "scalingFactor": 123
      }
    },
    "mountOptions": {
      "resources": {
        "maxCpu": "2000m",
        "minCpu": "500m",
        "minMemory": "1Gi",
        "maxMemory": "2Gi"
      }
    }
  },
  "status": {
    "parentId": "<string>",
    "usedByWorkload": "<string>",
    "workloadLinks": [
      "<string>"
    ],
    "bindingId": "<string>",
    "locations": [
      {
        "name": "<string>",
        "volumes": [
          {
            "lifecycle": "creating",
            "storageDeviceId": "<string>",
            "oldStorageDeviceIds": [
              "<string>"
            ],
            "resourceName": "<string>",
            "index": 123,
            "currentSize": 123,
            "currentBytesUsed": 123,
            "currentBytesFree": 123,
            "iops": 123,
            "throughput": 123,
            "driver": "<string>",
            "volumeSnapshots": [
              {
                "name": "<string>",
                "id": "<string>",
                "created": "2023-11-07T05:31:56Z",
                "expires": "2023-11-07T05:31:56Z",
                "size": 123,
                "tags": [
                  {}
                ]
              }
            ],
            "attributes": {},
            "zone": "<string>"
          }
        ],
        "desiredVolumeCount": 123,
        "clusterId": "<string>"
      }
    ]
  },
  "gvc": {}
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required
name
string
required

Response

Success

id
string
read-only
name
string
Maximum string length: 64
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
spec
object
status
object
read-only
gvc
object